classification
Title: Encoding for Code Page 273 used by EBCDIC Germany Austria
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, ajaksu2, akuchling, lemburg, mbieren, pitrou, python-dev, r.david.murray
Priority: normal Keywords: patch

Created on 2005-01-07 11:44 by mbieren, last changed 2014-03-08 02:04 by r.david.murray. This issue is now closed.

Files
File name Uploaded Description Edit
CP273.TXT mbieren, 2005-01-07 11:46
Messages (18)
msg47493 - (view) Author: Michael Bierenfeld (mbieren) Date: 2005-01-07 11:44
CP273.TXT to be used with gencodec.py. Enables 
Communication with "old" IBM Mainframes 
msg47494 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2005-01-07 12:25
Logged In: YES 
user_id=38388

Can you provide a reference of where and how this encoding
is used ?

We also need information of where the attached file originated.

Thanks.
msg47495 - (view) Author: Michael Bierenfeld (mbieren) Date: 2005-01-07 14:45
Logged In: YES 
user_id=1074928

The encoding is used on IBM Mainframes here in Germany 
and Austria. Mostly on "old" VM/VSE Machines. Rawdata is 
transferred via MQSeries and then encoded from "cp273" to 
"latin_1". 
 
The file has been translated from the original IBM RFC by 
myself. 
 
www.unicode.org has no equivalent file on their FTP-Servers 
(ftp://ftp.unicode.org/Public/MAPPINGS/). 
 
CP273 is an alias for this charset. source: IBM NLS RM Vol2 
SE09-8002-01, March 1990 
 
Regards 
 
Michael 
msg47496 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2006-12-22 19:26
Given that the patch author has provided further details, can this patch be accepted now?
msg47497 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2006-12-22 19:31
I guess so. 

Note that it's not a patch, but the template to be used with gencodec.py.
msg47498 - (view) Author: Michael Bierenfeld (mbieren) Date: 2006-12-22 21:16
Yes the patch can be included. The file should be used by gencodec.py
msg82127 - (view) Author: Daniel Diniz (ajaksu2) Date: 2009-02-14 22:22
Looks like it was never included. I guess '"old" IBM Mainframes' is a
dwindling user base, should this one be closed?
msg82138 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2009-02-15 02:14
A Google search for "cp273 encoding" reveals that at least one other
person needed it:
http://www.stroeder.com/pylib/encodings/cp273.py
msg82232 - (view) Author: Michael Bierenfeld (mbieren) Date: 2009-02-16 12:33
"Old IBM Mainframes" are widely used in the financial industry. It 
would be good if the patch is included
msg82235 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2009-02-16 12:48
Like I said a few years: this can go in. Python is used a lot in the
financial industry.

The code page is referenced in this RFC:

http://rfc.dotsrc.org/rfc/rfc1345.html

This page has a good comparison of the various IBM code pages as shipped
with different tools (jdk, glibc, aix, etc.):

http://www.haible.de/bruno/charsets/conversion-tables/RFC1345-IBM.html
msg99843 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2010-02-22 21:43
I tried figuring out to rebuild the codecs using the scripts in Tools/unicode/ but failed.  Is the use of that directory documented anywhere?
msg99848 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2010-02-22 22:02
A.M. Kuchling wrote:
> 
> A.M. Kuchling <lists@amk.ca> added the comment:
> 
> I tried figuring out to rebuild the codecs using the scripts in Tools/unicode/ but failed.  Is the use of that directory documented anywhere?

See the Makefile in that directory - that's what I use to build the
codecs.

If you just want to create a single codec, have a look at the
gencodec.py module doc-string.
msg114990 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-08-26 15:35
The consensus is that this should have gone into Python years ago.
msg202546 - (view) Author: Roundup Robot (python-dev) Date: 2013-11-10 18:46
New changeset 7d9d1bcd7d18 by Andrew Kuchling in branch 'default':
#1097797: Add CP273 codec, and exercise it in the test suite
http://hg.python.org/cpython/rev/7d9d1bcd7d18
msg202547 - (view) Author: Roundup Robot (python-dev) Date: 2013-11-10 18:48
New changeset fa2581bbef44 by Andrew Kuchling in branch 'default':
Add news entry for #1097797; whitespace cleanup
http://hg.python.org/cpython/rev/fa2581bbef44
msg202548 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2013-11-10 18:49
Committed this to 3.4.
msg202600 - (view) Author: Roundup Robot (python-dev) Date: 2013-11-11 02:46
New changeset 93645b0b6750 by Andrew Kuchling in branch 'default':
#1097797: add the original mapping file
http://hg.python.org/cpython/rev/93645b0b6750
msg212919 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2014-03-08 02:04
In changeset d843a1caba78 (I screwed up the issue number in the commit), I added aliases according to http://lists.w3.org/Archives/Public/ietf-charsets/2002JulSep/0153.html plus what appears to be the conventional alias of just the number, and added it to the codecs docs, making a wild guess based on the issue title that the Language is German.
History
Date User Action Args
2014-03-08 02:04:20r.david.murraysetnosy: + r.david.murray
messages: + msg212919
2013-11-11 02:46:57python-devsetmessages: + msg202600
2013-11-10 18:49:16akuchlingsetstatus: open -> closed
resolution: fixed
messages: + msg202548

stage: patch review -> resolved
2013-11-10 18:48:02python-devsetmessages: + msg202547
2013-11-10 18:46:03python-devsetnosy: + python-dev
messages: + msg202546
2010-08-26 15:35:43BreamoreBoysetversions: + Python 3.2, - Python 2.7
nosy: + BreamoreBoy

messages: + msg114990

stage: patch review
2010-02-22 22:02:34lemburgsetmessages: + msg99848
2010-02-22 21:43:47akuchlingsetmessages: + msg99843
2009-02-16 12:48:12lemburgsetmessages: + msg82235
2009-02-16 12:33:44mbierensetmessages: + msg82232
2009-02-15 02:14:01pitrousetnosy: + pitrou
messages: + msg82138
2009-02-14 22:22:41ajaksu2setnosy: + ajaksu2
type: enhancement
messages: + msg82127
versions: + Python 2.7
2005-01-07 11:44:53mbierencreate